<?php
#Made By: ENK
#URL: http://wap-mast.su
#ICQ: net
#Mail: dcms7@spaces.ru
#Скрипт запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат мне!
#Приду и снесу сайт
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']='Купить Энергию';
include_once '../../sys/inc/thead.php';
title();
aut();

if(!isset($user)){
header("Location:/aut.php");
break;
}
$arr=mysql_fetch_array(mysql_query("SELECT * FROM `zona` WHERE `ids`='$user[id]'"));
$action=htmlspecialchars(trim($_GET['action']));




switch ($action){
default:
echo "<a href='?action=1'>100 баллов - 10 энергии</a><br />\n";
echo "<a href='?action=2'>200 баллов - 20 энергии</a><br />\n";
echo "<a href='?action=3'>300 баллов - 30 энергии</a><br />\n";
echo "<a href='?action=4'>400 баллов - 40 энергии</a><br />\n";
echo "<a href='?action=5'>500 баллов - 50 энергии</a><br />\n";
echo "<a href='?action=6'>600 баллов - 60 энергии</a><br />\n";
echo "<a href='?action=7'>700 баллов - 70 энергии</a><br />\n";
echo "<a href='?action=8'>800 баллов - 80 энергии</a><br />\n";
echo "<a href='?action=9'>900 баллов - 90 энергии</a><br />\n";
echo "<a href='?action=10'>1000 баллов - 100 энергии</a><br />\n";
break;
######
case '1':
if($user['balls']<=99)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-100)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+10)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '2':
if($user['balls']<=199)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-200)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+20)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '3':
if($user['balls']<=299)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-300)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+30)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '4':
if($user['balls']<=399)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-400)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+40)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '5':
if($user['balls']<=499)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-500)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+50)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '6':
if($user['balls']<=599)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-600)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+60)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '7':
if($user['balls']<=699)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-700)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+70)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '8':
if($user['balls']<=799)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-800)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+80)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '9':
if($user['balls']<=899)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-900)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+90)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;
######
case '10':
if($user['balls']<=999)
{
header ("Location: ?action=error&");
exit;
}else{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-1000)."' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `zona` SET `energiy` = '".($arr['energiy']+100)."' WHERE `ids` = '$user[id]'");
echo "<div class='msg'>Успешно!</div>";
}
break;

case'error':
echo "<div class='err'>У вас не хватает баллов!</div>";
break;
}


#####
echo "<div class='aut'><a href='index.php?id=$user[id]'>Назад</a></div>";
#####
include_once '../../sys/inc/tfoot.php';
?>